diff mbox

backport libgo patch to add ioctl consts

Message ID 548A0476.20508@linux.vnet.ibm.com
State New
Headers show

Commit Message

Lynn A. Boger Dec. 11, 2014, 8:54 p.m. UTC
Hi all,

Please backport the following to gcc 4.9 
https://gcc.gnu.org/ml/gcc-patches/2014-10/msg02980.html.

There has been a request to get the fixes that went into gcc trunk for 
gccgo ppc64 & ppc64le backported into gcc 4.9.

2014-12-11 Lynn Boger <laboger@linux.vnet.ibm.com>

     * libgo/mksysinfo.sh:  Add ioctl const values

Comments

Ian Lance Taylor Dec. 16, 2014, 11:22 p.m. UTC | #1
I have committed this to the 4.9 branch.

Ian

On Thu, Dec 11, 2014 at 12:54 PM, Lynn A. Boger
<laboger@linux.vnet.ibm.com> wrote:
> Hi all,
>
> Please backport the following to gcc 4.9
> https://gcc.gnu.org/ml/gcc-patches/2014-10/msg02980.html.
>
> There has been a request to get the fixes that went into gcc trunk for gccgo
> ppc64 & ppc64le backported into gcc 4.9.
>
> 2014-12-11 Lynn Boger <laboger@linux.vnet.ibm.com>
>
>     * libgo/mksysinfo.sh:  Add ioctl const values
>
> Index: libgo/mksysinfo.sh
> ===================================================================
> --- libgo/mksysinfo.sh  (revision 218396)
> +++ libgo/mksysinfo.sh  (working copy)
> @@ -174,6 +174,9 @@ enum {
>  #ifdef TIOCGWINSZ
>    TIOCGWINSZ_val = TIOCGWINSZ,
>  #endif
> +#ifdef TIOCSWINSZ
> +  TIOCSWINSZ_val = TIOCSWINSZ,
> +#endif
>  #ifdef TIOCNOTTY
>    TIOCNOTTY_val = TIOCNOTTY,
>  #endif
> @@ -192,6 +195,12 @@ enum {
>  #ifdef TIOCSIG
>    TIOCSIG_val = TIOCSIG,
>  #endif
> +#ifdef TCGETS
> +  TCGETS_val = TCGETS,
> +#endif
> +#ifdef TCSETS
> +  TCSETS_val = TCSETS,
> +#endif
>  };
>  EOF
>
> @@ -780,6 +789,11 @@ if ! grep '^const TIOCGWINSZ' ${OUT} >/dev/null 2>
>      echo 'const TIOCGWINSZ = _TIOCGWINSZ_val' >> ${OUT}
>    fi
>  fi
> +if ! grep '^const TIOCSWINSZ' ${OUT} >/dev/null 2>&1; then
> +  if grep '^const _TIOCSWINSZ_val' ${OUT} >/dev/null 2>&1; then
> +    echo 'const TIOCSWINSZ = _TIOCSWINSZ_val' >> ${OUT}
> +  fi
> +fi
>  if ! grep '^const TIOCNOTTY' ${OUT} >/dev/null 2>&1; then
>    if grep '^const _TIOCNOTTY_val' ${OUT} >/dev/null 2>&1; then
>      echo 'const TIOCNOTTY = _TIOCNOTTY_val' >> ${OUT}
> @@ -812,8 +826,18 @@ if ! grep '^const TIOCSIG' ${OUT} >/dev/null 2>&1;
>  fi
>
>  # The ioctl flags for terminal control
> -grep '^const _TC[GS]ET' gen-sysinfo.go | \
> +grep '^const _TC[GS]ET' gen-sysinfo.go | grep -v _val | \
>      sed -e 's/^\(const \)_\(TC[GS]ET[^= ]*\)\(.*\)$/\1\2 = _\2/' >> ${OUT}
> +if ! grep '^const TCGETS' ${OUT} >/dev/null 2>&1; then
> +  if grep '^const _TCGETS_val' ${OUT} >/dev/null 2>&1; then
> +    echo 'const TCGETS = _TCGETS_val' >> ${OUT}
> +  fi
> +fi
> +if ! grep '^const TCSETS' ${OUT} >/dev/null 2>&1; then
> +  if grep '^const _TCSETS_val' ${OUT} >/dev/null 2>&1; then
> +    echo 'const TCSETS = _TCSETS_val' >> ${OUT}
> +  fi
> +fi
>
>  # ioctl constants.  Might fall back to 0 if TIOCNXCL is missing, too, but
>  # needs handling in syscalls.exec.go.
>
> --
> You received this message because you are subscribed to the Google Groups
> "gofrontend-dev" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to gofrontend-dev+unsubscribe@googlegroups.com.
> For more options, visit https://groups.google.com/d/optout.
diff mbox

Patch

Index: libgo/mksysinfo.sh
===================================================================
--- libgo/mksysinfo.sh  (revision 218396)
+++ libgo/mksysinfo.sh  (working copy)
@@ -174,6 +174,9 @@  enum {
  #ifdef TIOCGWINSZ
    TIOCGWINSZ_val = TIOCGWINSZ,
  #endif
+#ifdef TIOCSWINSZ
+  TIOCSWINSZ_val = TIOCSWINSZ,
+#endif
  #ifdef TIOCNOTTY
    TIOCNOTTY_val = TIOCNOTTY,
  #endif
@@ -192,6 +195,12 @@  enum {
  #ifdef TIOCSIG
    TIOCSIG_val = TIOCSIG,
  #endif
+#ifdef TCGETS
+  TCGETS_val = TCGETS,
+#endif
+#ifdef TCSETS
+  TCSETS_val = TCSETS,
+#endif
  };
  EOF

@@ -780,6 +789,11 @@  if ! grep '^const TIOCGWINSZ' ${OUT} >/dev/null 2>
      echo 'const TIOCGWINSZ = _TIOCGWINSZ_val' >> ${OUT}
    fi
  fi
+if ! grep '^const TIOCSWINSZ' ${OUT} >/dev/null 2>&1; then
+  if grep '^const _TIOCSWINSZ_val' ${OUT} >/dev/null 2>&1; then
+    echo 'const TIOCSWINSZ = _TIOCSWINSZ_val' >> ${OUT}
+  fi
+fi
  if ! grep '^const TIOCNOTTY' ${OUT} >/dev/null 2>&1; then
    if grep '^const _TIOCNOTTY_val' ${OUT} >/dev/null 2>&1; then
      echo 'const TIOCNOTTY = _TIOCNOTTY_val' >> ${OUT}
@@ -812,8 +826,18 @@  if ! grep '^const TIOCSIG' ${OUT} >/dev/null 2>&1;
  fi

  # The ioctl flags for terminal control
-grep '^const _TC[GS]ET' gen-sysinfo.go | \
+grep '^const _TC[GS]ET' gen-sysinfo.go | grep -v _val | \
      sed -e 's/^\(const \)_\(TC[GS]ET[^= ]*\)\(.*\)$/\1\2 = _\2/' >> ${OUT}
+if ! grep '^const TCGETS' ${OUT} >/dev/null 2>&1; then
+  if grep '^const _TCGETS_val' ${OUT} >/dev/null 2>&1; then
+    echo 'const TCGETS = _TCGETS_val' >> ${OUT}
+  fi
+fi
+if ! grep '^const TCSETS' ${OUT} >/dev/null 2>&1; then
+  if grep '^const _TCSETS_val' ${OUT} >/dev/null 2>&1; then
+    echo 'const TCSETS = _TCSETS_val' >> ${OUT}
+  fi
+fi

  # ioctl constants.  Might fall back to 0 if TIOCNXCL is missing, too, but
  # needs handling in syscalls.exec.go.